Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.SpatialAudioParams Class Reference

## Public Member Functions
Double | getSpeakerAzimuth ()
Double | getSpeakerElevation ()
Double | getSpeakerDistance ()
Integer | getSpeakerOrientation ()
Boolean | getBlurFlag ()
Boolean | getAirAbsorbFlag ()
Double | getSpeakerAttenuation ()
Boolean | getDopplerFlag ()

## Public Attributes
Double | speaker_azimuth
Double | speaker_elevation
Double | speaker_distance
Integer | speaker_orientation
Boolean | enable_blur
Boolean | enable_air_absorb
Double | speaker_attenuation
Boolean | enable_doppler

## Member Function Documentation

## ◆ getSpeakerAzimuth()

Double io.agora.rtc2.SpatialAudioParams.getSpeakerAzimuth | ( |  | ) |

get speaker azimuth

## ◆ getSpeakerElevation()

Double io.agora.rtc2.SpatialAudioParams.getSpeakerElevation | ( |  | ) |

get speaker elevation

## ◆ getSpeakerDistance()

Double io.agora.rtc2.SpatialAudioParams.getSpeakerDistance | ( |  | ) |

get speaker distance

## ◆ getSpeakerOrientation()

Integer io.agora.rtc2.SpatialAudioParams.getSpeakerOrientation | ( |  | ) |

get speaker orientation

## ◆ getBlurFlag()

Boolean io.agora.rtc2.SpatialAudioParams.getBlurFlag | ( |  | ) |

get blur enabled flag

## ◆ getAirAbsorbFlag()

Boolean io.agora.rtc2.SpatialAudioParams.getAirAbsorbFlag | ( |  | ) |

get air absorb enabled flag

## ◆ getSpeakerAttenuation()

Double io.agora.rtc2.SpatialAudioParams.getSpeakerAttenuation | ( |  | ) |

get speaker attenuation

## Member Data Documentation

## ◆ speaker_azimuth

Double io.agora.rtc2.SpatialAudioParams.speaker_azimuth

Speaker azimuth in a spherical coordinate system centered on the listener.

## ◆ speaker_elevation

Double io.agora.rtc2.SpatialAudioParams.speaker_elevation

Speaker elevation in a spherical coordinate system centered on the listener.

## ◆ speaker_distance

Double io.agora.rtc2.SpatialAudioParams.speaker_distance

Distance between speaker and listener.

## ◆ speaker_orientation

Integer io.agora.rtc2.SpatialAudioParams.speaker_orientation

Speaker orientation [0-180], 0 degree is the same with listener orientation.

## ◆ enable_blur

Boolean io.agora.rtc2.SpatialAudioParams.enable_blur

Enable blur or not for the speaker.

## ◆ enable_air_absorb

Boolean io.agora.rtc2.SpatialAudioParams.enable_air_absorb

Enable air absorb or not for the speaker.

## ◆ speaker_attenuation

Double io.agora.rtc2.SpatialAudioParams.speaker_attenuation

Speaker attenuation factor.

## ◆ enable_doppler

Boolean io.agora.rtc2.SpatialAudioParams.enable_doppler

Enable doppler factor.